List blockchains
Returns all blockchains supported by Fireblocks.
GET
/
blockchains
TypeScript
const response: Promise<FireblocksResponse<ListBlockchainsResponse>> = fireblocks.blockchainsAssets.listBlockchains(blockchainsAssetsApiListBlockchainsRequest);CompletableFuture<ApiResponse<ListBlockchainsResponse>> response = fireblocks.blockchainsAssets().listBlockchains(protocol, deprecated, test, ids, pageCursor, pageSize);response = fireblocks.blockchains_&_assets.list_blockchains(protocol, deprecated, test, ids, page_cursor, page_size);curl --request GET \
--url https://api.fireblocks.io/v1/blockchainsconst options = {method: 'GET'};
fetch('https://api.fireblocks.io/v1/blockchains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "9f9f7062-df90-4fc0-8697-96685184357b",
"legacyId": "ETH",
"displayName": "Ethereum",
"nativeAssetId": "9f9f7062-df90-4fc0-8697-96685184356a",
"onchain": {
"protocol": "EVM",
"test": false,
"signingAlgo": "ECDSA_SECP256K1",
"chainId": 1
},
"metadata": {
"scope": "GLOBAL",
"deprecated": false,
"media": [
{
"url": "https://example.com/image.png",
"type": "image/svg+xml"
}
],
"explorer": {
"base": "https://example.com",
"address": "https://example.com/address/{address}",
"tx": "https://example.com/tx/{tx}",
"token": "https://example.com/nft/{contract}/{tokenId}"
}
}
}
],
"next": "eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"
}{
"message": "Internal server error",
"code": 3005
}{
"message": "<string>",
"code": 123
}Query Parameters
Blockchain protocol
Is blockchain deprecated
Is test blockchain
A list of blockchain IDs (max 100)
Page cursor to fetch
Items per page (max 500)
Required range:
1 <= x <= 500Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<ListBlockchainsResponse>> = fireblocks.blockchainsAssets.listBlockchains(blockchainsAssetsApiListBlockchainsRequest);CompletableFuture<ApiResponse<ListBlockchainsResponse>> response = fireblocks.blockchainsAssets().listBlockchains(protocol, deprecated, test, ids, pageCursor, pageSize);response = fireblocks.blockchains_&_assets.list_blockchains(protocol, deprecated, test, ids, page_cursor, page_size);